/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Actions
 * Description: -
 */


void		action_do_nothing(CHARACTER *);

void		action_recover(CHARACTER *);

bool		action_move(CHARACTER *, const AREA_POINT *);

void		action_push_past(CHARACTER *, CHARACTER *);

bool		action_run(CHARACTER *, const PATH_NODE *, AREA_DISTANCE);

void		action_jump(CHARACTER *, const AREA_POINT *);

void		action_strike(CHARACTER *, OBJECT *, const AREA_POINT *);

void		action_shoot(CHARACTER *, OBJECT *, FIRING_DATA *,
			const AREA_POINT *
		);

void		action_reload_weapon(CHARACTER *);

void		action_partial_reload(CHARACTER *);

void		action_unjam_weapon(CHARACTER *);

void		action_switch_weapons(CHARACTER *);

void		action_disarm(CHARACTER *, CHARACTER *);

void		action_doctor(CHARACTER *, CHARACTER *);

void		action_concentrate(CHARACTER *);

void		action_evoke_psy_power(CHARACTER *, PSY_POWER, 
			const AREA_POINT *
		);

void		action_pick_up_object(CHARACTER *, const AREA_POINT *);

bool		action_equip_object(CHARACTER *, OBJECT *, OBJECT **);

bool		action_unequip_object(CHARACTER *, OBJECT *);

void		action_drop_object(CHARACTER *, OBJECT *, bool);

bool		action_use_drug(CHARACTER *, OBJECT *);

bool		action_read_tome(CHARACTER *, OBJECT *);

bool		action_stealth(CHARACTER *);

void		action_use_elevator(CHARACTER *, const WORLD_POINT *);



