/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Combat
 * Description: The combat system
 */

 /*
  * Ranged combat
  */


/*
 * combat range definitions
 */
#define MAX_LONG_RANGE		20
#define MAX_MEDIUM_RANGE	9
#define MAX_SHORT_RANGE		4
#define MAX_CLOSE_COMBAT_RANGE	1


/*
 * A mode spread limits
 */
#define A_MODE_SPREAD_MIN	1
#define A_MODE_SPREAD_MAX	4



void		shoot(CHARACTER *, OBJECT *, FIRING_DATA *,
			const AREA_POINT *
		);

char *		range_description(char *, AREA_DISTANCE);



