/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 *
 * Global limits
 *
 */


/* string sizes **********************************/
#define FILE_PATH_SIZE			256
#define FILE_NAME_SIZE			13

#define	STRING_BUFFER_SIZE		200
#define TEXT_BUFFER_SIZE		16000
#define LINE_BUFFER_SIZE           	16000

#define DESCRIPTION_SIZE		1000

#define AREA_NAME_SIZE			20

#define CHARACTER_NAME_SIZE		21
#define OBJECT_NAME_SIZE		25
#define TERRAIN_NAME_SIZE		20

#define CAREER_NAME_SIZE		25

#define PERK_NAME_SIZE			25

#define PSY_POWER_NAME_SIZE		25
#define PSY_DISCIPLINE_NAME_SIZE	15

#define DIALOG_TEXT_SIZE		1000
/*************************************************/


/* (maximal) number of X *************************/
#define MAX_TERRAIN_ATTRIBUTES		5

#define MAX_PERKS			44

#define MAX_CHARACTER_FLAGS		19

#define MAX_STATS			9

#define MAX_OBJECT_TYPES		8
#define MAX_OBJECT_SUBTYPES		9
#define MAX_OBJECT_ATTRIBUTES		30
#define MAX_FIRING_MODES		3

#define MAX_PSY_DISCIPLINES		5
#define MAX_PSY_POWERS_PER_DISCIPLINE	5
#define MAX_PSY_POWERS			(MAX_PSY_DISCIPLINES * \
					MAX_PSY_POWERS_PER_DISCIPLINE)

#define MAX_DIRECTIONS			8

#define MAX_CAREER_EXITS		5
#define MAX_CHARACTER_PERKS		6
#define MAX_CHARACTER_PSY_POWERS	10
/*************************************************/

