/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Macro
 * Description: Implementation of macros
 */


#define MAX_KEY_STACK			20
#define MAX_MACROS			12
#define MAX_MACRO_LENGTH		MAX_KEY_STACK

#define MACRO_TERMINATION_KEY		'$'


void		macro_init(void);

void		set_macro(MACRO_INDEX, const KEY_CODE *);
KEY_CODE *	get_macro(MACRO_INDEX);

bool		macro_defined(COMMAND);

void		macro_setup_screen(void);

COMMAND		do_macro(COMMAND);

