/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Movement
 * Description: -
 */


#define		MAX_JUMP_PACK_RANGE		12


bool		move_character(CHARACTER *, const AREA_POINT *);

AREA_DISTANCE	run_factor(const CHARACTER *);

bool		run(CHARACTER *, const PATH_NODE *, AREA_DISTANCE);

bool		can_push_past(const CHARACTER *, const CHARACTER *);

void		push_past(CHARACTER *, CHARACTER *);

