/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Sector
 * Description: -
 */


void		sector_init(void);

void		sector_set_bounds(const AREA_SECTION *);

void		sector_reset_bounds(void);

const SECTOR *	sector_template(void);

char *		sector_description(char *, const SECTOR *);

bool		sector_is_class(const AREA_POINT *, SECTOR_CLASS);

SECTOR *	sector_random(AREA_POINT *, SECTOR_CLASS);

SECTOR *	sector_adjacent(AREA_POINT *, SECTOR_CLASS);

SECTOR *	sector_elevator(AREA_POINT *);

