/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Ui
 * Description: -
 */

/*
 * Character generation and advancement
 */

void		render_choose_gender_screen(void);
COMMAND		choose_gender_screen_menu(MENU *);

void		render_roll_stats_screen(const CHARACTER *);

void		render_name_character_screen(void);
void		enter_name_dialog(GET_TEXT_DIALOG *);

void		render_character_advancement_screen(const CHARACTER *);
COMMAND		character_advancement_screen_menu(MENU *);

void		render_increase_stat_screen(const CHARACTER *, MENU *, bool);
COMMAND		increase_stat_screen_menu(MENU *, bool);

void		render_new_perk_screen(const CHARACTER *, MENU *, bool);
COMMAND		new_perk_screen_menu(MENU *, bool);

void		render_learn_psy_power_screen(const CHARACTER *, MENU *, bool);
COMMAND		learn_psy_power_screen_menu(MENU *, bool);

void		render_follow_career_path_screen(const CHARACTER *, MENU *);
COMMAND		follow_career_path_screen_menu(MENU *);

void		render_new_career_path_screen(const CHARACTER *, bool);
COMMAND		new_career_path_screen_menu(MENU *, bool);




