/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Ui
 * Description: -
 */

/*
 * Misc. stuff
 */

#define render_buy_screen(c, p)		render_trade_screen(c, p)
#define buy_screen_menu(m)		trade_screen_menu(m)
#define render_manufacture_screen(c, p)	render_trade_screen(c, p)
#define manufacture_screen_menu(m)	trade_screen_menu(m)


void		render_title_screen(const char *);

COMMAND		title_screen_menu(MENU *);

void		new_game_dialog(CONFIRMATION_DIALOG *);

void		render_dungeon_generation_screen(bool);

void		render_trade_screen(const CHARACTER *, PERK);
COMMAND		trade_screen_menu(MENU *);

void		render_dialog_screen(DIALOG_STATE *);
COMMAND		dialog_screen_menu(MENU *);

void		render_certificate_screen(void);

