/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Microsoft Windows back-end
 */

/*
 * Most of the needed back-end functionality is actually provided by 
 * the cross-platform SDL back-end
 */


#define Uses_Game
#define Uses_Util
#define Uses_DataFile
#include "mheader.h"


static const char *	ProgramDirectory[MAX_PROGRAM_DIRECTORIES] = {

	"./data/user/",
	"./data/",
	"./data/config/",
	"./data/graphics/",
	"./data/terrain/",
	"./data/objects/",
	"./data/charact/",
	"./data/text/",
	"./data/world/"
	
};



/*
 * returns the path of a file
 */
char * get_file_path(char *path, PROGRAM_DIRECTORY directory, 
	const char *file_name
)
{

	strcpy(path, ProgramDirectory[directory]);

	strcat(path, file_name);

	return path;
}



/*
 * main
 */
int main(int argc, char *argv[])
{
	NOT_USED(argc);
	NOT_USED(argv);

	run_game();

	return 0;
}


