/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: AI
 * Description: AI routines
 */


/*
 * maximal number of AI tactics
 */
#define MAX_AI_TACTICS			4


/*
 * AI tactic name size
 */
#define AI_TACTIC_NAME_SIZE		20


/*
 * the AI will only attempt to destroy an obstacle if
 * its condition is less than or equal to this value
 */
#define AI_OBSTACLE_DESTRUCTION_MAX	100



void		ai_control(CHARACTER *);

void		ai_set_state(CHARACTER *, AI_STATE);
void		ai_set_default_state(CHARACTER *, AI_STATE);

void		ai_set_tactic(CHARACTER *, AI_TACTIC);

const char *	ai_tactic_name(AI_TACTIC);


