/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: CharacterAdvancement
 * Description: -
 */


#define EP_LIMIT				3000

#define EP_COST_INCREASE_STAT			100
#define EP_COST_BUY_PERK			100
#define EP_COST_LEARN_PSY_POWER			100
#define EP_COST_CHANGE_CAREER_FOLLOW_PATH	100
#define EP_COST_CHANGE_CAREER_NEW_PATH		200

#define STANDARD_STAT_ADVANCE			10


void		give_ep(CHARACTER *, EXPERIENCE_POINTS);

void		character_advancement_screen(CHARACTER *);

void		new_career_path(CHARACTER *, bool);

void		increase_stat(CHARACTER *, bool);

bool		new_perk(CHARACTER *, bool);

bool		learn_psy_power(CHARACTER *, bool);
