/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Effect
 * Description: Effects
 */
 
 
#define DISEASED_RECOVERY_MODIFIER		-90

#define PSYCHIC_OVERLOAD_RECOVERY_MODIFIER	-50


void		effect_activate(CHARACTER *, EFFECT, PHASE_TIME);
void		effect_terminate(CHARACTER *, EFFECT);
void		effect_terminate_event(EVENT *);

bool		poison_resisted(const CHARACTER *);
bool		disease_resisted(const CHARACTER *);
bool		pain_resisted(const CHARACTER *);
bool		fear_resisted(const CHARACTER *);

void		poison_damage(EVENT *);



