/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Equipment
 * Description: -
 */


void			use_equipment_object(CHARACTER *, OBJECT *);

bool			object_in_use(const CHARACTER *, const OBJECT *);

bool			noisy_object_in_use(const CHARACTER *);

void			reload_weapon(EVENT *);

void			partial_reload(CHARACTER *);

void			recharge_weapon(EVENT *);

bool			weapon_has_jammed(ATTACK_DATA *);

bool			laser_weapon_malfunction(ATTACK_DATA *);

bool			plasma_weapon_malfunction(ATTACK_DATA *);

void			unjam_weapon(EVENT *);

void			switch_weapons(CHARACTER *);

bool			equip_object(CHARACTER *, OBJECT *, OBJECT **);
bool			unequip_object(CHARACTER *, OBJECT *);

void			equip_objects(CHARACTER *);

bool			is_knife(const OBJECT *);

const char *		firing_mode_name(FIRING_MODE);

FIRING_MODE		name_to_firing_mode(const char *);


