/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Inventory
 * Description: -
 */


void		inventory_screen(CHARACTER *, bool);

void		inventory_add(CHARACTER *, OBJECT *);
void		inventory_remove(CHARACTER *, OBJECT *);

OBJECT *	inventory_random_object(CHARACTER *);

OBJECT *	inventory_find_object(CHARACTER *, const char *);

bool		inventory_is_full(const CHARACTER *);

MONEY		inventory_money(const CHARACTER *);
void		inventory_money_reduce(CHARACTER *, MONEY);
void		inventory_money_increase(CHARACTER *, MONEY);

void		inventory_object_print(const CHARACTER *, const OBJECT *, FILE *);

WEIGHT		inventory_weight(const CHARACTER *);


