/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Options
 * Description: -
 */
 

typedef int	OPTION_VALUE;

/*
 * options
 */
typedef enum {

	OPT_NIL = -1,
	
	OPT_FULLSCREEN,
	OPT_BRIGHTNESS,
	OPT_CENTER_ON_PLAYER,

	OPT_OUT_OF_BOUNDS

} OPTION;



void		option_set_value(OPTION, OPTION_VALUE);

OPTION_VALUE	option_get_value(OPTION);

bool		option_enabled(OPTION);


