/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Ui
 * Description: -
 */


/*
 * NOTE:
 * The Ui module actually consists of all files in the "ui" directory.
 * This file only contains the init and the clean up functions of the Ui module.
 *
 */


#include "mheader.h"

#include "ui.h"




/*
 * UI module init
 */
void ui_init(void)
{
	io_init();
}



/*
 * UI module clean up
 */
void ui_clean_up(void)
{
	io_clean_up();
}



