/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Ui
 * Description: -
 */

/*
 * Back-end functions
 */



/*
 * platform specific / see be_x.c
 */
void		io_init(void);
void		io_clean_up(void);

void		clear_screen(void);
void		update_screen(void);

void		place_cursor_at(SCREEN_COORD, SCREEN_COORD);

SCREEN_COORD	cursor_y(void);
SCREEN_COORD	cursor_x(void);

void		render_cursor(COLOR);

void		render_char(COLOR, SYMBOL);

void		render_char_at(COLOR, SCREEN_COORD, SCREEN_COORD,
			SYMBOL
		);

KEY_CODE	lowlevel_get_key(void);

void		clear_text_window(SCREEN_COORD, SCREEN_COORD,
			SCREEN_COORD, SCREEN_COORD
		);

void		render_background(void);

void		render_logo(void);

