/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Ui
 * Description: -
 */

/*
 * Information screens i.e. object info, character info, etc.
 */


void		render_world_map_screen(const WORLD_POINT *, 
			const CHARACTER *
		);

void		render_character_screen_basics(const CHARACTER *);

void		render_career_screen(const CAREER *);

void		render_object_screen(const OBJECT *);

void		render_psy_power_screen(PSY_POWER);

void		render_psy_powers_screen(const CHARACTER *);

void		render_terrain_screen(const TERRAIN *);

void		render_perk_screen(PERK);

void		render_additional_information_screen(void);
COMMAND		additional_information_menu(MENU *);

void		render_show_career_list_screen(void);
COMMAND		show_career_list_menu(MENU *);

void		render_show_perk_list_screen(void);
COMMAND		show_perk_list_menu(MENU *);

