/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Ui
 * Description: -
 */

/*
 * Vision
 */

void			update_view(const AREA_POINT *, bool, bool);
void			update_view_point(const AREA_POINT *);
void			update_view_character(const CHARACTER *);

bool			outside_of_visible_area(const AREA_COORD, const AREA_COORD);

bool			vaw_convert_coordinates(SCREEN_COORD *, SCREEN_COORD *, AREA_COORD, AREA_COORD);

void			set_visible_area(const AREA_SECTION *);
const AREA_SECTION *	get_visible_area(void);



